diff --git a/src/bin/pg_dump/pg_backup_archiver.c b/src/bin/pg_dump/pg_backup_archiver.c
new file mode 100644
index cd7669b..ab084b7
*** a/src/bin/pg_dump/pg_backup_archiver.c
--- b/src/bin/pg_dump/pg_backup_archiver.c
*************** restore_toc_entry(ArchiveHandle *AH, Toc
*** 547,554 ****
  
  	if ((reqs & REQ_SCHEMA) != 0)		/* We want the schema */
  	{
! 		ahlog(AH, 1, "creating %s %s\n", te->desc, te->tag);
  
  		_printTocEntry(AH, te, ropt, false, false);
  		defnDumped = true;
  
--- 547,567 ----
  
  	if ((reqs & REQ_SCHEMA) != 0)		/* We want the schema */
  	{
! 		char *p = NULL;
! 		if(te->namespace)
! 		{
! 			int bSize = strlen(te->namespace) + strlen(te->tag) + 2;
! 			p = (char *) pg_malloc(bSize);
! 			
! 			snprintf(p, bSize, "%s.%s", te->namespace, te->tag);
! 		}
! 		else
! 		{
! 			p = pg_strdup(te->tag);
! 		}
  
+ 		ahlog(AH, 1, "creating %s %s\n", te->desc, p);
+ 		free(p);
  		_printTocEntry(AH, te, ropt, false, false);
  		defnDumped = true;
  
